<?php

require_once("db.php");
$dbh = db_connect();

try{
   $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
   $sql = "SELECT * FROM img_data WHERE user_id = 1 AND post_id = 1";
   $stmt = $dbh->query($sql);
   $data = $stmt->fetchAll();
   
}catch (PDOException $e){
   print('Error:'.$e->getMessage());
   die();
}

?>


<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <title>SumidaiNET</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <style type="text/css">
        img {
            margin: 0 5px 5px 0;
            max-width: 160px;
            vertical-align: bottom;
        }
    </style>
</head>
<body>
<form action="update.php" method="post" enctype="multipart/form-data">
<input type="hidden" name="MAX_FILE_SIZE" value="1048576">

    <table>
        <thead>
        <tr>
       <th>テキスト</th>
        <th>画像</th>
        </tr>
        </thead>
        <tbody>

<?php
$num = 1;

foreach($data as $key){
  list($year, $month, $day) = preg_split('/[-: ]/', $key['date']);  
?>
        <tr  id="tr_<?=$num?>">
            <td><input type="text" name="text[]" value="<?=$key['text']?>"></td>
            <td id="td_<?=$num?>">
                <div id="view_<?=$num?>"></div>
                <?php if(!empty($key['img'])){ ?>
                <a href="http://sample.com/img_full/<?=$year ?>/<?=$month ?>/<?=$day?>/f<?=$key['img']?>"><img id="img_<?=$num?>" src="http://sample.com/img_med/<?=$year ?>/<?=$month ?>/<?=$day?>/m<?=$key['img']?>"/></a><br>
                <button class="del" rel= "<?=$year ?>/<?=$month ?>/<?=$day?>/<?=$key['img']?>"type="button">イメージ削除</button>
                <button class="del_line" rel= "<?=$year ?>/<?=$month ?>/<?=$day?>/<?=$key['img']?>/<?=$key['ID']?>"type="button">行削除</button>
                <?php } ?>
                <input type="file" id="file_<?=$num?>" name="img[]" accept="image/*" <?php if(!empty($key['img'])){ ?>style="display: none"<?php } ?>  >
                <input type="hidden" name="ID[]" value="<?=$key['ID']?>">
            </td>
        </tr>
<?php 
  $num ++;
} ?>
        </tbody>
        <tfoot>
        <tr>
            <td>
                <button id="add" type="button">追加</button><span id="reload"></span>
            </td>
        </tr>
        </tfoot>
    </table>
    <span id="message"></span>
    <input type="submit" name="send" value="送信">
</form>

<?php if(!empty($data[0]['ID'])){ ?>
<p><button type="button" onclick="location.href='del_b.php'">全て削除する</button></p>
<?php } ?>



<script type="text/javascript">
$(function () {

   var num = <?=$num -1 ?>;
   var count = document.querySelectorAll("td[id]").length;
   $(':hidden[name="row_length"]').val(count);
   var view_count = document.querySelectorAll("div[id]").length;

  //イメージ削除
  $("button.del").click(function(){
    var td = $(this).parent().attr('id');
    td = td.split("_");
    var data = $(this).attr('rel');
    data = data.split("/");
    $(this).replaceWith();

     $.ajax({
        url: 'del_img.php',
        type: 'POST',
        data:{ year:data[0],month:data[1],day:data[2],img:data[3] },
        timeout: 10000,
        dataType: 'text'
        })
      .done(function( data ) {
        $('#img_' + td[1]).parent().next().replaceWith();
        $('#img_' + td[1]).parent().replaceWith();
        $('#img_' + td[1]).replaceWith();
        $('#file_' + td[1]).show();
        })
      .fail(function( data ) {
        })
      .always(function( data ) {
     });

  });

  //テキスト・イメージ削除
  $("button.del_line").click(function(){
    var td = $(this).parent().attr('id');
    td = td.split("_");
    var data = $(this).attr('rel');
    data = data.split("/");
    $(this).replaceWith();

     $.ajax({
        url: 'del_line.php',
        type: 'POST',
        data:{ year:data[0],month:data[1],day:data[2],img:data[3],ID:data[4] },
        timeout: 10000,
        dataType: 'text'
        })
      .done(function( data ) {
        $('#tr_' + td[1]).replaceWith();
        })
      .fail(function( data ) {
        })
      .always(function( data ) {
     });

  });

   function fileChange(n) {
      var reader = new FileReader();
      document.getElementById('file_' + n).onchange = function (e) {
      reader.addEventListener('load', function (e) {
         $('#view_' + n).html('<img src="' + e.target.result + '" />');
      });
         reader.readAsDataURL(this.files[0]);
      }
   }

   $('button#add').click(function () {

      if(view_count ===5 ){
         $('#message').html('※ 追加フォームは' + view_count + 'つまでです。<br>');
       }else{
         count = count + 1;
         view_count = view_count + 1;
         var tr_row = '' +
           '<tr>' +
           '<td><input type="text" name="text[]"></td>' +
           '<td><div  id="view_' + count + '"></div><input type="file" id="file_' + count + '" name="img[]" accept="image/*" /></td>' +
           '</tr>';
       $(tr_row).appendTo($('table > tbody'));
       $('#reload').html('<input type="button" value="リロードする" onclick="window.location.reload();" /><br>');
       fileChange(count);
      }
  });

  for(var i = 1; i <= <?=$num -1 ?>; i++) {
     fileChange(i);
  }

});
</script>
</body>
</html>